Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
Vũ quang Hiếu

[ Nhờ viết Lips] Zoom đến đối tượng được Paste Original Coordiantes

Các bài được khuyến nghị

Đầu tiên, em xin gửi lời chào đến các anh, chị trong diễn đàn và chúc diễn đàn ngày càng lớn mạnh

Như tiêu đề, do công việc thường phải làm việc với bản đồ rộng, nhiều khu vực,  vì vậy, mỗi khi Paste Original Coordiantes em phải mất rất nhiều thời gian để tìm được đối tượng vừa Paste. Mong các cao thủ có thể viết giùm em 1 Lisp có chức năng zoom đến đối tượng vừa paste. Em xin cảm ơn và hậu tạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
23 phút trước, Vũ quang Hiếu đã nói:

Đầu tiên, em xin gửi lời chào đến các anh, chị trong diễn đàn và chúc diễn đàn ngày càng lớn mạnh

Như tiêu đề, do công việc thường phải làm việc với bản đồ rộng, nhiều khu vực,  vì vậy, mỗi khi Paste Original Coordiantes em phải mất rất nhiều thời gian để tìm được đối tượng vừa Paste. Mong các cao thủ có thể viết giùm em 1 Lisp có chức năng zoom đến đối tượng vừa paste. Em xin cảm ơn và hậu tạ

Nếu kết quả của việc Paste là 1 đối tượng, bạn có thể sử dụng lisp này.

(defun c:zoomLast(/ ll ur)
  (vla-GetBoundingBox (vlax-ename->vla-object (entlast)) 'LL 'UR)
  (vla-zoomwindow (vlax-get-acad-object) ll ur)
  (princ)  )

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
9 phút trước, gia_bach đã nói:

Đầu tiên, em xin gửi lời chào đến các anh, chị trong diễn đàn và chúc diễn đàn ngày càng lớn mạnh

Như tiêu đề, do công việc thường phải làm việc với bản đồ rộng, nhiều khu vực,  vì vậy, mỗi khi Paste Original Coordiantes em phải mất rất nhiều thời gian để tìm được đối tượng vừa Paste. Mong các cao thủ có thể viết giùm em 1 Lisp có chức năng zoom đến đối tượng vừa paste. Em xin cảm ơn và hậu tạ

Em cảm ơn anh, đúng như em mong muốn, chỉ có việc là khi zoom thì đối tượng bị sát quá, mình có thể chỉnh được mức độ zoom ko ạ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
5 phút trước, Vũ quang Hiếu đã nói:

Em cảm ơn anh, đúng như em mong muốn, chỉ có việc là khi zoom thì đối tượng bị sát quá, mình có thể chỉnh được mức độ zoom ko ạ

Nếu không sửa lisp thì bạn làm như này:

Z >> 0.9x

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
32 phút trước, naturooo đã nói:

Chắc cũng có thể chỉ cần dùng lệnh: Zoom => Object => Last=> Space.

Giải pháp hay, khỏi cần đến Lisp.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay
Đăng nhập để thực hiện theo  

×